# TiXmlText Class Reference

Inheritance diagram for TiXmlText:

[legend]
Collaboration diagram for TiXmlText:

[legend]
List of all members.

## Public Member Functions

| TiXmlText (const char *initValue)
| Constructor.
| TiXmlText (const TiXmlText &copy)
void | operator= (const TiXmlText &base)
virtual void | Print (FILE *cfile, int depth) const
| Write this text object to a FILE stream.
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)

## Protected Member Functions

virtual TiXmlNode * | Clone () const
| [internal use] Creates a new Element and returns it.
void | CopyTo (TiXmlText *target) const
virtual void | StreamOut (TIXML_OSTREAM *out) const
bool | Blank () const

## Friends

class | TiXmlElement

## Detailed Description

XML text. Contained in an element.